Retrieve Business Policies in a Project

get

/ic/api/integration/v1/projects/{projectId}/mcp/policies/business

Retrieves business policies configured for a project.

Request

Path Parameters
Query Parameters
  • Includes policy config in list responses when true. Valid values: true, false.
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
    Example:
    example-instance
  • Label parameter
  • Use with the offset parameter for paginating through the returned results.
  • Use with the limit parameter for paginating through the returned results.
  • Lists policies ordered by name or last updated time.

    Valid values: name, time.

  • Filters business policies by name, status, and policyType. DECISION_RULE is the supported business-policy type; other policy types return an empty list.

    Example:

    {name:'Business Policy', policyType:'DECISION_RULE'}

  • Accepted but ignored in this release; this parameter does not select a minimal or full response view.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : MCPPoliciesRs
Type: object
Paginated collection of MCP security or business policies in a project.
Show Source
Nested Schema : items
Type: array
Items returned in this collection.
Show Source
Nested Schema : MCPPolicyListRs
Type: object
MCP policy summary. Configuration is included when requested.
Show Source
Nested Schema : config
Type: object
Additional Properties Allowed: true
Policy-type-specific configuration. Its required fields depend on the policy type.
Nested Schema : scope
Resource scope to which the MCP policy applies.
Match All
Resource scope to which the MCP policy applies.
Show Source
Nested Schema : PolicyScopeRs
Type: object
Resource scope to which the MCP policy applies.
Show Source

400 Response

Malformed parameters

401 Response

Unauthorized or insufficient design-time permissions

404 Response

Project or resource not found, or the MCP feature is not available

500 Response

Server error
Back to Top

Examples

The following example shows how to retrieve business policies configured for a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Retrieve Business Policies in a Project

curl --request GET --include \
  --url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/policies/business?integrationInstance=${INTEGRATION_INSTANCE}" \
  --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/json"
Back to Top